header {
    padding: 0 $space * 5;
    border-radius: $border-small-radius;
    background-color: $color-header-background;
    display: flex;
    gap: $space * 10;
    align-items: center;
    justify-content: space-between;
    margin-bottom: $space * 20;

    .menu {
        @include small-desktop {
            display: flex;
            position: fixed;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
            align-items: flex-start;
            z-index: 1;
            justify-content: space-between;
            transform: translateX(-100%);
            transition: transform 0.3s ease;

            .cover {
                flex-grow: 10;
                height: 100%;
                background-color: #000000;
                opacity: 0;
                transition: opacity 0.3s ease 0.3s;
            }
        }

        .close-icon {
            width: $space * 10 !important;
            height: $space * 10 !important;
            display: none;

            @include small-desktop {
                align-self: flex-end;
                display: inline-block;
            }
        }

        nav {
            @include small-desktop {
                display: flex;
                flex-direction: column;
                align-items: flex-start;
                background-color: #FFFFFF;
                color: $color-body-background;
                z-index: 2;
                height: 100%;
                padding: $space * 5;
                flex-grow: 1;
            }

            @include phone {
                flex-grow: 15;
            }

            ul {
                display: flex;
                gap: $space * 2;
                list-style: none;
                padding: 0;

                @include small-desktop {
                    flex-direction: column;
                    width: 100%;
                }

                .root-item {
                    font-size: $font-size-small;
                    color: inherit;
                    text-decoration: none;
                    line-height: 6;
                    padding: $space * 5 $space * 4;

                    @include small-desktop {
                        font-size: $font-size-large;
                        display: block;
                        line-height: 2;
                    }
                }

                .root-item-selected {
                    @extend .root-item;

                    font-weight: 600;
                }
            }
        }

        &.open {
            transform: translateX(0);

            .cover {
                display: block;
                opacity: 0.5;
            }
        }
    }

    .hum-icon {
        display: none;

        @include small-desktop {
            margin: $space * 5 $space * 4;
            display: block;
        }
    }
}
